--- Portfile-3.0.2	2014-06-23 11:20:23.000000000 +1200
+++ Portfile-3.0.2+ws	2014-07-02 09:55:37.000000000 +1200
@@ -6,18 +6,18 @@
 name            launch4j
 version         3.0.2
 categories      java
-maintainers		panayotis.com:panayotis
+maintainers     panayotis.com:panayotis
 description     Cross-platform Java executable wrapper
 long_description \
-				Launch4j is a cross-platform tool for wrapping Java \
-				applications distributed as jars in lightweight Windows \
-				native executables. The executable can be configured to \
-				search for a certain JRE version or use a bundled one, \
-				and it's possible to set runtime options, like the \
-				initial/max heap size. The wrapper also provides better \
-				user experience through an application icon, a native \
-				pre-JRE splash screen, a custom process name, and a Java \
-				download page in case the appropriate JRE cannot be found. 
+                Launch4j is a cross-platform tool for wrapping Java \
+                applications distributed as jars in lightweight Windows \
+                native executables. The executable can be configured to \
+                search for a certain JRE version or use a bundled one, \
+                and it's possible to set runtime options, like the \
+                initial/max heap size. The wrapper also provides better \
+                user experience through an application icon, a native \
+                pre-JRE splash screen, a custom process name, and a Java \
+                download page in case the appropriate JRE cannot be found.
 homepage        http://launch4j.sourceforge.net/
 platforms       darwin
 
@@ -25,44 +25,44 @@
 distname        launch4j-${version}-macosx
 extract.suffix  .tgz
 checksums \
-           md5 fbe35ef1200196c121682152f94d157e \
-           sha1 7e9faaa807547c687c141fe082098f94ca2d2bb1\
-           rmd160 e76310b9a447ab58957205533f2027ac4e5e43b1
+                md5 fbe35ef1200196c121682152f94d157e \
+                sha1 7e9faaa807547c687c141fe082098f94ca2d2bb1 \
+                rmd160 e76310b9a447ab58957205533f2027ac4e5e43b1
 
 patchfiles \
-	launcher.diff
+                launcher.diff
 
 use_configure   no
 build           {}
 
-worksrcdir		launch4j
+worksrcdir      launch4j
 destroot {
-        set sharedir ${destroot}${prefix}/share
-		set l4jdir ${sharedir}/launch4j
-		set l4jdoc ${sharedir}/doc/launch4j
-
-		xinstall -d -m 755 ${l4jdoc}
-		file rename ${worksrcpath}/web ${l4jdoc}
-		file rename ${worksrcpath}/demo ${l4jdoc}
-		file rename ${worksrcpath}/LICENSE.txt ${l4jdoc}
-		file rename ${worksrcpath}/w32api/MinGW.LICENSE.txt ${l4jdoc}
-		foreach doc {JGoodies.Forms JGoodies.Looks Nuvola.Icon.Theme XStream commons foxtrot} {
-			file rename ${worksrcpath}/lib/${doc}.LICENSE.txt ${l4jdoc}
-		}
-		file rename ${worksrcpath}/bin/COPYING ${l4jdoc}/bin.COPYING
-		file rename ${worksrcpath}/bin/readme.txt ${l4jdoc}/bin.readme.txt
-		file rename ${worksrcpath}/head/LICENSE.txt ${l4jdoc}/head.LICENSE.txt
-
-		file delete -force ${worksrcpath}/head_src
-		file delete -force ${worksrcpath}/src
-		file delete ${worksrcpath}/build.xml
-		file delete ${worksrcpath}/launch4j.exe
-		file delete ${worksrcpath}/launch4j.jfpr
-		file delete ${worksrcpath}/.classpath
-		file delete ${worksrcpath}/.project
-		file delete -force ${worksrcpath}/.settings
-
-        xinstall -d -m 755 ${sharedir}
-        file copy ${worksrcpath} ${sharedir}
-		ln -s ../share/launch4j/launch4j ${destroot}${prefix}/bin/launch4j
+    set sharedir ${destroot}${prefix}/share
+    set l4jdir ${sharedir}/launch4j
+    set l4jdoc ${sharedir}/doc/launch4j
+
+    xinstall -d -m 755 ${l4jdoc}
+    file rename ${worksrcpath}/web ${l4jdoc}
+    file rename ${worksrcpath}/demo ${l4jdoc}
+    file rename ${worksrcpath}/LICENSE.txt ${l4jdoc}
+    file rename ${worksrcpath}/w32api/MinGW.LICENSE.txt ${l4jdoc}
+    foreach doc {JGoodies.Forms JGoodies.Looks Nuvola.Icon.Theme XStream commons foxtrot} {
+        file rename ${worksrcpath}/lib/${doc}.LICENSE.txt ${l4jdoc}
+    }
+    file rename ${worksrcpath}/bin/COPYING ${l4jdoc}/bin.COPYING
+    file rename ${worksrcpath}/bin/readme.txt ${l4jdoc}/bin.readme.txt
+    file rename ${worksrcpath}/head/LICENSE.txt ${l4jdoc}/head.LICENSE.txt
+
+    file delete -force ${worksrcpath}/head_src
+    file delete -force ${worksrcpath}/src
+    file delete ${worksrcpath}/build.xml
+    file delete ${worksrcpath}/launch4j.exe
+    file delete ${worksrcpath}/launch4j.jfpr
+    file delete ${worksrcpath}/.classpath
+    file delete ${worksrcpath}/.project
+    file delete -force ${worksrcpath}/.settings
+
+    xinstall -d -m 755 ${sharedir}
+    file copy ${worksrcpath} ${sharedir}
+    ln -s ../share/launch4j/launch4j ${destroot}${prefix}/bin/launch4j
 }