--- Makefile.in.orig	2014-06-25 10:39:15.000000000 -0500
+++ Makefile.in	2014-07-03 05:59:43.000000000 -0500
@@ -852,27 +852,28 @@
 
 install-full: install install-conf install-rules
 
+# Destroot issue was reported 8/23/3013: https://redmine.openinfosecfoundation.org/issues/929
 install-conf:
-	install -d "$(e_sysconfdir)"
-	@test -e "$(e_sysconfdir)/suricata.yaml" || install -m 600 "$(top_srcdir)/suricata.yaml" "$(e_sysconfdir)"
-	@test -e "$(e_sysconfdir)/classification.config" || install -m 600 "$(top_srcdir)/classification.config" "$(e_sysconfdir)"
-	@test -e "$(e_sysconfdir)/reference.config" || install -m 600 "$(top_srcdir)/reference.config" "$(e_sysconfdir)"
-	@test -e "$(e_sysconfdir)/threshold.config" || install -m 600 "$(top_srcdir)/threshold.config" "$(e_sysconfdir)"
-	install -d "$(e_logfilesdir)"
-	install -d "$(e_logcertsdir)"
-	install -d "$(e_rundir)"
-	install -m 770 -d "$(e_localstatedir)"
+	install -d "${DESTDIR}$(e_sysconfdir)"
+	@test -e "${DESTDIR}$(e_sysconfdir)/suricata.yaml" || install -m 600 "$(top_srcdir)/suricata.yaml" "${DESTDIR}$(e_sysconfdir)"
+	@test -e "${DESTDIR}$(e_sysconfdir)/classification.config" || install -m 600 "$(top_srcdir)/classification.config" "${DESTDIR}$(e_sysconfdir)"
+	@test -e "${DESTDIR}$(e_sysconfdir)/reference.config" || install -m 600 "$(top_srcdir)/reference.config" "${DESTDIR}$(e_sysconfdir)"
+	@test -e "${DESTDIR}$(e_sysconfdir)/threshold.config" || install -m 600 "$(top_srcdir)/threshold.config" "${DESTDIR}$(e_sysconfdir)"
+	install -d "${DESTDIR}$(e_logfilesdir)"
+	install -d "${DESTDIR}$(e_logcertsdir)"
+	install -d "${DESTDIR}$(e_rundir)"
+	install -m 770 -d "${DESTDIR}$(e_localstatedir)"
 
 install-rules:
-	install -d "$(e_sysconfrulesdir)"
-@HAVE_FETCH_COMMAND_TRUE@@HAVE_WGET_COMMAND_TRUE@	$(HAVE_WGET) -qO - http://rules.emergingthreats.net/open/suricata-2.0/emerging.rules.tar.gz | tar -x -z -C "$(e_sysconfdir)" -f -
-@HAVE_FETCH_COMMAND_TRUE@@HAVE_WGET_COMMAND_FALSE@	$(HAVE_CURL) -s http://rules.emergingthreats.net/open/suricata-2.0/emerging.rules.tar.gz | tar -x -z -C "$(e_sysconfdir)" -f -
+	install -d "${DESTDIR}$(e_sysconfrulesdir)"
+@HAVE_FETCH_COMMAND_TRUE@@HAVE_WGET_COMMAND_TRUE@	$(HAVE_WGET) -qO - http://rules.emergingthreats.net/open/suricata-2.0/emerging.rules.tar.gz | tar -x -z -C "${DESTDIR}$(e_sysconfdir)" -f -
+@HAVE_FETCH_COMMAND_TRUE@@HAVE_WGET_COMMAND_FALSE@	$(HAVE_CURL) -s http://rules.emergingthreats.net/open/suricata-2.0/emerging.rules.tar.gz | tar -x -z -C "${DESTDIR}$(e_sysconfdir)" -f -
 @HAVE_FETCH_COMMAND_FALSE@	@echo "UNABLE to load ruleset wget or curl are not installed on system."
-	@test -e "$(e_sysconfrulesdir)decoder-events.rules" || install -m 600 "$(top_srcdir)/rules/decoder-events.rules" "$(e_sysconfrulesdir)"
-	@test -e "$(e_sysconfrulesdir)stream-events.rules" || install -m 600 "$(top_srcdir)/rules/stream-events.rules" "$(e_sysconfrulesdir)"
-	@test -e "$(e_sysconfrulesdir)smtp-events.rules" || install -m 600 "$(top_srcdir)/rules/smtp-events.rules" "$(e_sysconfrulesdir)"
-	@test -e "$(e_sysconfrulesdir)http-events.rules" || install -m 600 "$(top_srcdir)/rules/http-events.rules" "$(e_sysconfrulesdir)"
-	@test -e "$(e_sysconfrulesdir)dns-events.rules" || install -m 600 "$(top_srcdir)/rules/dns-events.rules" "$(e_sysconfrulesdir)"
+	@test -e "${DESTDIR}$(e_sysconfrulesdir)decoder-events.rules" || install -m 600 "$(top_srcdir)/rules/decoder-events.rules" "${DESTDIR}$(e_sysconfrulesdir)"
+	@test -e "${DESTDIR}$(e_sysconfrulesdir)stream-events.rules" || install -m 600 "$(top_srcdir)/rules/stream-events.rules" "${DESTDIR}$(e_sysconfrulesdir)"
+	@test -e "${DESTDIR}$(e_sysconfrulesdir)smtp-events.rules" || install -m 600 "$(top_srcdir)/rules/smtp-events.rules" "${DESTDIR}$(e_sysconfrulesdir)"
+	@test -e "${DESTDIR}$(e_sysconfrulesdir)http-events.rules" || install -m 600 "$(top_srcdir)/rules/http-events.rules" "${DESTDIR}$(e_sysconfrulesdir)"
+	@test -e "${DESTDIR}$(e_sysconfrulesdir)dns-events.rules" || install -m 600 "$(top_srcdir)/rules/dns-events.rules" "${DESTDIR}$(e_sysconfrulesdir)"
 	@echo ""
 	@echo "You can now start suricata by running as root something like '$(bindir)/suricata -c $(e_sysconfdir)/suricata.yaml -i eth0'."
 	@echo ""