Index: devel/protobuf-c/Portfile
===================================================================
--- devel/protobuf-c/Portfile	(revision 132985)
+++ devel/protobuf-c/Portfile	(working copy)
@@ -1,9 +1,10 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup       github 1.0
 
 name		protobuf-c
-version		0.15
+version		1.1.0
 categories	devel
 license		Apache-2
 maintainers	landonf openmaintainer
@@ -17,12 +18,11 @@
         version 1.0 is released.
 
 
-homepage	http://code.google.com/p/protobuf-c/
-master_sites	googlecode
+homepage        https://github.com/protobuf-c/protobuf-c
+master_sites    https://github.com/protobuf-c/protobuf-c/releases/download/v${version}
 
-checksums           md5    73ff0c8df50d2eee75269ad8f8c07dc8 \
-                    sha1   4fbd93f492c52154713de1951c0a2133ddd43abb \
-                    rmd160 50319bba2b173aafb96dd1fe70550d378e69f871
+checksums       sha1    20bfcf3663ae56b125a5bfc3b4dca8c7f0ef1e48 \
+                sha256  9a973fc04aac003f9cf2b5a90ac4b8fa294cacb4e3f0796d3b5a789a5ad46c07
 
 platforms	darwin
 
Index: devel/protobuf-cpp/Portfile
===================================================================
--- devel/protobuf-cpp/Portfile	(revision 132985)
+++ devel/protobuf-cpp/Portfile	(working copy)
@@ -2,9 +2,10 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup  github 1.0
 
 name            protobuf-cpp
-version         2.5.0
+version         2.6.1
 categories      devel
 maintainers     blair
 license         BSD
@@ -27,13 +28,14 @@
                 logical record of information, containing a series of \
                 name-value pairs.
 
-homepage        http://code.google.com/p/protobuf/
-master_sites    googlecode:protobuf
+homepage        https://github.com/google/protobuf
+master_sites    https://github.com/google/protobuf/releases/download/v${version}
+distfiles       protobuf-${version}.tar.bz2
+worksrcdir      protobuf-${version}
 
-distname        protobuf-${version}
 use_bzip2       yes
-checksums       sha1   62c10dcdac4b69cc8c6bb19f73db40c264cb2726 \
-                sha256 13bfc5ae543cf3aa180ac2485c0bc89495e3ae711fc6fab4f8ffe90dfb4bb677
+checksums       sha1    6421ee86d8fb4e39f21f56991daa892a3e8d314b \
+                sha256  ee445612d544d885ae240ffbcbf9267faa9f593b7b101f21d58beceb92661910
 
 platforms       darwin
 
@@ -47,7 +49,7 @@
 
         xinstall -d -m 755 ${docdir}
 
-        foreach f {CHANGES.txt CONTRIBUTORS.txt COPYING.txt INSTALL.txt README.txt examples} {
+        foreach f {CHANGES.txt CONTRIBUTORS.txt LICENSE INSTALL.txt README.md examples editors} {
                 file copy ${worksrcpath}/${f} ${docdir}
         }
 }
Index: devel/protobuf-java/Portfile
===================================================================
--- devel/protobuf-java/Portfile	(revision 132985)
+++ devel/protobuf-java/Portfile	(working copy)
@@ -1,9 +1,10 @@
 # $Id$
 
 PortSystem      1.0
+PortGroup	github 1.0
 
 name            protobuf-java
-version         2.5.0
+version         2.6.1
 categories      devel
 maintainers     blair
 license         BSD
@@ -26,18 +27,18 @@
                 logical record of information, containing a series of \
                 name-value pairs.
 
-homepage        http://code.google.com/p/protobuf/
-master_sites    googlecode:protobuf
+homepage        https://github.com/google/protobuf
+master_sites    https://github.com/google/protobuf/releases/download/v${version}
+distfiles       protobuf-${version}.tar.bz2
+worksrcdir      protobuf-${version}
 
-distname        protobuf-${version}
-dist_subdir     protobuf-cpp
 use_bzip2       yes
-checksums       sha1   62c10dcdac4b69cc8c6bb19f73db40c264cb2726 \
-                sha256 13bfc5ae543cf3aa180ac2485c0bc89495e3ae711fc6fab4f8ffe90dfb4bb677
+checksums       sha1    6421ee86d8fb4e39f21f56991daa892a3e8d314b \
+                sha256  ee445612d544d885ae240ffbcbf9267faa9f593b7b101f21d58beceb92661910
 
 platforms       darwin
 
-depends_lib     port:protobuf-cpp
+depends_lib     port:zlib port:protobuf-cpp
 depends_build   port:apache-ant
 
 worksrcdir      ${worksrcdir}/java
Index: python/py-protobuf/Portfile
===================================================================
--- python/py-protobuf/Portfile	(revision 132985)
+++ python/py-protobuf/Portfile	(working copy)
@@ -2,9 +2,10 @@
 
 PortSystem      1.0
 PortGroup       python 1.0
+PortGroup       github 1.0
 
 name            py-protobuf
-version         2.5.0
+version         2.6.1
 revision        1
 categories-append   devel
 maintainers     blair
@@ -28,14 +29,14 @@
                 logical record of information, containing a series of \
                 name-value pairs.
 
-homepage        http://code.google.com/p/protobuf/
-master_sites    googlecode:protobuf
+homepage        https://github.com/google/protobuf
+master_sites    https://github.com/google/protobuf/releases/download/v${version}
+distfiles       protobuf-${version}.tar.bz2
+worksrcdir      protobuf-${version}
 
-distname        protobuf-${version}
-dist_subdir     protobuf-cpp
 use_bzip2       yes
-checksums       sha1   62c10dcdac4b69cc8c6bb19f73db40c264cb2726 \
-                sha256 13bfc5ae543cf3aa180ac2485c0bc89495e3ae711fc6fab4f8ffe90dfb4bb677
+checksums       sha1    6421ee86d8fb4e39f21f56991daa892a3e8d314b \
+                sha256  ee445612d544d885ae240ffbcbf9267faa9f593b7b101f21d58beceb92661910
 
 platforms       darwin
 
@@ -47,22 +48,9 @@
 
     worksrcdir      ${worksrcdir}/python
 
-    patchfiles      patch-python-except-clause-compatibility.diff
-
-    # PROTOCOL_BUFFERS_PYTHON_IMPLEMENTATION=cpp is disabled until
-    # this bug [1] is fixed.  Better to ensure that the Python
-    # protobuf bindings slowly and properly encode and decode data
-    # then quickly fail ;)
-    #
-    # [1] http://code.google.com/p/protobuf/issues/detail?id=503
-
-    # build.env       PROTOCOL_BUFFERS_PYTHON_IMPLEMENTATION=cpp
-    build.cmd-append    build_ext -I${prefix}/include
-
-    # destroot.env    PROTOCOL_BUFFERS_PYTHON_IMPLEMENTATION=cpp
+    destroot.cmd-append    --cpp_implementation
 
     test.run        yes
-    # test.env        PROTOCOL_BUFFERS_PYTHON_IMPLEMENTATION=cpp
     test.cmd        "${python.bin} setup.py"
-    test.target     test
+    test.target     test --cpp_implementation
 }
Index: python/py-protobuf/files/patch-python-except-clause-compatibility.diff
===================================================================
--- python/py-protobuf/files/patch-python-except-clause-compatibility.diff	(revision 132985)
+++ python/py-protobuf/files/patch-python-except-clause-compatibility.diff	(working copy)
@@ -1,54 +0,0 @@
-diff -ru ../../protobuf-2.5.0.orig/python/google/protobuf/descriptor_pool.py ./google/protobuf/descriptor_pool.py
---- ../../protobuf-2.5.0.orig/python/google/protobuf/descriptor_pool.py	2013-02-26 09:56:33.000000000 -0800
-+++ ./google/protobuf/descriptor_pool.py	2013-04-17 16:11:05.000000000 -0700
-@@ -104,7 +104,7 @@
- 
-     try:
-       file_proto = self._internal_db.FindFileByName(file_name)
--    except KeyError as error:
-+    except KeyError, error:
-       if self._descriptor_db:
-         file_proto = self._descriptor_db.FindFileByName(file_name)
-       else:
-@@ -128,7 +128,7 @@
- 
-     try:
-       file_proto = self._internal_db.FindFileContainingSymbol(symbol)
--    except KeyError as error:
-+    except KeyError, error:
-       if self._descriptor_db:
-         file_proto = self._descriptor_db.FindFileContainingSymbol(symbol)
-       else:
-diff -ru ../../protobuf-2.5.0.orig/python/google/protobuf/internal/reflection_test.py ./google/protobuf/internal/reflection_test.py
---- ../../protobuf-2.5.0.orig/python/google/protobuf/internal/reflection_test.py	2013-02-26 09:56:33.000000000 -0800
-+++ ./google/protobuf/internal/reflection_test.py	2013-04-17 16:10:38.000000000 -0700
-@@ -1650,7 +1650,7 @@
-     unicode_decode_failed = False
-     try:
-       message2.MergeFromString(bytes)
--    except UnicodeDecodeError as e:
-+    except UnicodeDecodeError:
-       unicode_decode_failed = True
-     string_field = message2.str
-     self.assertTrue(unicode_decode_failed or type(string_field) == str)
-@@ -2361,7 +2361,7 @@
-     """This method checks if the excpetion type and message are as expected."""
-     try:
-       callable_obj()
--    except exc_class as ex:
-+    except exc_class, ex:
-       # Check if the exception message is the right one.
-       self.assertEqual(exception, str(ex))
-       return
-diff -ru ../../protobuf-2.5.0.orig/python/google/protobuf/internal/text_format_test.py ./google/protobuf/internal/text_format_test.py
---- ../../protobuf-2.5.0.orig/python/google/protobuf/internal/text_format_test.py	2013-02-26 09:56:33.000000000 -0800
-+++ ./google/protobuf/internal/text_format_test.py	2013-04-17 16:11:19.000000000 -0700
-@@ -458,7 +458,7 @@
- 
-     try:
-       func(*args, **kwargs)
--    except e_class as expr:
-+    except e_class, expr:
-       if str(expr) != e:
-         msg = '%s raised, but with wrong message: "%s" instead of "%s"'
-         raise self.failureException(msg % (exc_name,